Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit.gui
Class KeyEventTranslator.Key

    java.lang.Object
      org.gjt.sp.jedit.gui.KeyEventTranslator.Key

Enclosing class:
  KeyEventTranslator

    public static class KeyEventTranslator.Key

extends java.lang.Object

Field Summary
`char` | `input`
`protected boolean` | `isFromGlobalContext` Wether this Key event applies to all jEdit windows (and not only a specific jEdit GUI component).
`protected boolean` | `isPhantom` Wether this Key event is a phantom key event.
`int` | `key`
`java.lang.String` | `modifiers`

Constructor Summary
`KeyEventTranslator.Key(java.lang.String modifiers, int key, char input)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`int` | `hashCode()`
`boolean` | `isFromGlobalContext()`
`boolean` | `isPhantom()`
`void` | `setIsFromGlobalContext(boolean to)`
`void` | `setIsPhantom(boolean to)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### modifiers

    public final java.lang.String modifiers

### key

    public final int key

### input

    public final char input

### isFromGlobalContext

    protected boolean isFromGlobalContext

  Wether this Key event applies to all jEdit windows (and not only a specific jEdit GUI component).

### isPhantom

    protected boolean isPhantom

  Wether this Key event is a phantom key event. A phantom key event is a kind of duplicate key event which should not - due to its nature of being a duplicate - generate any action on data. However, phantom key events may be necessary to notify the rest of the GUI that the key event, if it was not a phantom key event but a real key event, would generate any action and thus would be consumed.

Constructor Detail

### KeyEventTranslator.Key

    public KeyEventTranslator.Key(java.lang.String modifiers,
                                  int key,
                                  char input)

Method Detail

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### setIsFromGlobalContext

    public void setIsFromGlobalContext(boolean to)

### isFromGlobalContext

    public boolean isFromGlobalContext()

### setIsPhantom

    public void setIsPhantom(boolean to)

### isPhantom

    public boolean isPhantom()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD